SMSHierarchy (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSHierarchy interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSHierarchy

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMSHierarchy

extends LogicalElement

Show a hierarchy of sms cities

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  SMSHIERARCHIES
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getName()` Name of hierarchy.It ll be name of central site
`int` | `getNumSities()` Counter to show us a nr of cities in hole hierarchy
`SMSAdvertizements[]` | `getSMSAdvertisements()`
`SMSCollections[]` | `getSMSCollections()`
`SMSPackage[]` | `getSMSPackages()`
`SMSQuery[]` | `getSMSQueries()`
`SMSReports[]` | `getSMSReports()`
`SMSSiteServer[]` | `getSMSSities()`
`boolean` | `hasName()`
`boolean` | `hasNumSities()`
`boolean` | `hasSMSAdvertisements()`
`boolean` | `hasSMSCollections()`
`boolean` | `hasSMSPackages()`
`boolean` | `hasSMSQueries()`
`boolean` | `hasSMSReports()`
`boolean` | `hasSMSSities()`
`void` | `setName(java.lang.String x)`
`void` | `setNumSities(int x)`
`void` | `setSMSAdvertisements(SMSAdvertizements[] x)`
`void` | `setSMSCollections(SMSCollections[] x)`
`void` | `setSMSPackages(SMSPackage[] x)`
`void` | `setSMSQueries(SMSQuery[] x)`
`void` | `setSMSReports(SMSReports[] x)`
`void` | `setSMSSities(SMSSiteServer[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Name of hierarchy.It ll be name of central site

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getSMSPackages

    SMSPackage[] getSMSPackages()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSMSPackages

    void setSMSPackages(SMSPackage[] x)

### hasSMSPackages

    boolean hasSMSPackages()

### getSMSReports

    SMSReports[] getSMSReports()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSMSReports

    void setSMSReports(SMSReports[] x)

### hasSMSReports

    boolean hasSMSReports()

### getSMSCollections

    SMSCollections[] getSMSCollections()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSMSCollections

    void setSMSCollections(SMSCollections[] x)

### hasSMSCollections

    boolean hasSMSCollections()

### getSMSSities

    SMSSiteServer[] getSMSSities()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setSMSSities

    void setSMSSities(SMSSiteServer[] x)

### hasSMSSities

    boolean hasSMSSities()

### getSMSAdvertisements

    SMSAdvertizements[] getSMSAdvertisements()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSMSAdvertisements

    void setSMSAdvertisements(SMSAdvertizements[] x)

### hasSMSAdvertisements

    boolean hasSMSAdvertisements()

### getSMSQueries

    SMSQuery[] getSMSQueries()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSMSQueries

    void setSMSQueries(SMSQuery[] x)

### hasSMSQueries

    boolean hasSMSQueries()

### getNumSities

    int getNumSities()
                     throws AttributeNotSetException

  Counter to show us a nr of cities in hole hierarchy

  Throws:
    `AttributeNotSetException`

### setNumSities

    void setNumSities(int x)

### hasNumSities

    boolean hasNumSities()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD